package de.tu_dresden.lat.dlProofChecking.tools

import java.io.File

import org.semanticweb.owlapi.apibinding.OWLManager
import org.semanticweb.owlapi.model.parameters.Imports

object CountAxioms {
  def main(args: Array[String]) = {

    val file = new File(args(0))

    val ontology = OWLManager.createOWLOntologyManager().loadOntologyFromOntologyDocument(file)

    println(file.getName+" "+ontology.getAxiomCount(Imports.INCLUDED))
  }

}
