
name := "elk-certificate-generation"

organization := "de.tu-dresden.lat"

version := "0.1-SNAPSHOT"

scalaVersion := "2.12.6"

resolvers += Resolver.mavenLocal

libraryDependencies += "de.tu-dresden.lat" % "proof-datastructures" % "0.1-SNAPSHOT"

libraryDependencies += "de.tu_dresden.lat" % "explicationTool" % "0.0.1-SNAPSHOT"

test in assembly := { }

mainClass in assembly := Some("de.tu_dresden.lat.dlProofChecking.GenerateClassificationCertificate")

assemblyMergeStrategy in assembly := {
  //  case PathList("net.sourceforge.owlapi", "owlapi-distribution", xs @
  //      _*)         => MergeStrategy.first
  case PathList(ps @ _*) if ps.last endsWith ".class" => MergeStrategy.first
  //  case PathList(ps @ _*) if ps.last endsWith ".html" => MergeStrategy.first
  //  case "application.conf"                            => MergeStrategy.concat
  //  case "unwanted.txt"                                =>
  //  MergeStrategy.discard
  case "META-INF/axiom.xml" => MergeStrategy.first
  case x =>
    val oldStrategy = (assemblyMergeStrategy in assembly).value
    oldStrategy(x)
}
