package de.tu_dresden.lat.dlProofChecking.tools

import java.text.Normalizer

/**
 * Transforms strings to valid ASCII characters
 */
object StringNormaliser {
  def normalise(string: String) =
    Normalizer.normalize(string, Normalizer.Form.NFD)
    .replaceAll("[^\\p{ASCII}]", "")
    .replaceAll("[^a-zA-Z0-9></#.]", "_")

  def main(args: Array[String]) =
    println(normalise("Nível"))
}
